import { BlobsTranscriptStoreOptions } from './blobsTranscriptStore';
/**
 * Ensures that `key` is a properly sanitized Azure Blob Storage key. It should be URI encoded,
 * no longer than 1024 characters, and contain no more than 254 slash ("/") chars.
 *
 * @param {string} key string blob key to sanitize
 * @param {BlobsTranscriptStoreOptions} options Optional settings for BlobsTranscriptStore
 * @returns {string} sanitized blob key
 */
export declare function sanitizeBlobKey(key: string, options?: BlobsTranscriptStoreOptions): string;
//# sourceMappingURL=sanitizeBlobKey.d.ts.map
